Bug 806231 - install hangs on scanning wifi
install hangs on scanning wifi
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-23 05:32 EDT by Karel Volný
Modified: 2012-08-21 11:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-21 11:52:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2012-03-23 05:32:32 EDT
Description of problem:
I've tried to install Fedora 17 Alpha, and after configuring storage, I got a message that network connection is needed. I've chosen to use wlan0. After that, a message about scanning appeared, then I got the classical network configuration window and it got stuck - no wireless network is listed, the cursor rotates and rotates and rotates ...

Version-Release number of selected component (if applicable):
Fedora 17 Alpha DVD x86_64

How reproducible:
haven't tried

Steps to Reproduce:
1. have a computer with both wired and wireless adapter
2. see the description - run the install until you are asked to choose which adapter to use
3. select the wireless one
  
Actual results:
install hangs

console output - console 1:

** WARNING **: Trying to register gtype 'GMountMountFlags' as enum when in fact it is of type 'GFlags'

** WARNING **: Trying to register gtype 'GDriveStartFlags' as enum when in fact it is of type 'GFlags'

** WARNING **: handle_property_changed: failed to update property 'active-connections' of object type NMClient.

** WARNING **: handle_property_changed: failed to update property 'active-connections' of object type NMClient.

** WARNING **: handle_property_changed: failed to update property 'active-connections' of object type NMClient.

** WARNING **: handle_property_changed: failed to update property 'active-connections' of object type NMClient.

** WARNING **: handle_property_changed: failed to update property 'active-connections' of object type NMClient.




console output - console 2:

(nothing, just shell prompt)



console output - console 3:

...
WARN yum.YumBase: Repo Fedora 17 - Source contains -source or -debuginfo, excluding
INFO anaconda: scanning APs for wlan0
INFO anaconda: APs found for wlan0: []



console output - console 4:

...
NOTICE NetworkManager:    ifcfg-rh: updating /etc/sysconfig/network-scripts/ifcfg-p3p1
NOTICE NetworkManager:    ifcfg-rh: Managing connection 'System p3p1' and its device because NM_CONTROLLED was true.
INFO NetworkManager: <info> (p3p1): now managed
INFO NetworkManager: <info> (p3p1): device state change: unmanaged -> unavailable (reason 'managed') [10 20 2]
INFO NetworkManager: <info> (p3p1): bringing up device
INFO kernel:[52586.169378] r8169 0000:03:00.0: p3p1: link down
INFO kernel:[52586.169651] ADDRCONF(NETDEV_UP): p3p1: link is not ready
INFO NetworkManager: <info> (p3p1): preparing device.
INFO NetworkManager: <info> (p3p1): deactivating device (reason 'managed') [2]



console output - console 5:

...
Writing superblocks and filesystem accounting information: dmke2fs 1.42 (29-Nov-2011)
S
** WARNING **: handle_property_changed: failed to update property 'active-connections' of object type NMClient.
Glib-GIO-Message: Using the 'memory' GSettings backend.  Your settings will not be saved or shared with other applications.

** WARNING **: Invalid setting BezdrA'tovAC: ssid

** WARNING **: Invalid setting BezdrA'tovAC: ssid

** WARNING **: Invalid setting BezdrA'tovAC: ssid



Expected results:
my AP found, no errors


Additional info:
from lspci

02:00.0 Network controller: Broadcom Corporation BMC413 802.11b/g/n Wireless LAN Controller (rev 01)
03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 06)
Comment 1 Dan Winship 2012-03-27 18:05:43 EDT
I installed a beta-ish build yesterday over wifi and had no problem. So this is probably already fixed. Try the beta next Tuesday. (Or grab boot.iso from http://download.fedora.devel.redhat.com/pub/fedora/linux/development/17/x86_64/os/images/ and try a network install, but note that that image isn't guaranteed to actually work on any given day.)
Comment 2 Karel Volný 2012-08-21 11:52:15 EDT
there was an unfortunate coincidence that the wireless driver in F17 Alpha hasn't worked ... which got fixed since, so I cannot retest - I don't know about  any place nearby where there are no WiFi networks; I won't walk deeply into woods with notebook just to try :)

to sum up, the point of this report is *not* that installing over wifi does not work _when you have wifi network available_ but rather that the installer hangs _when you do not have wifi network available_ and try to use use it

given the fact that no one else complained so far and I won't do the testing, let's just close this
Comment 3 Karel Volný 2012-08-21 11:54:28 EDT
ahem, oh, my poor English - shouldn't that be:

there was ... *had* not worked

?

Note You need to log in before you can comment on or make changes to this bug.